Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

[Plugin Tiers][Sujet Principal] Plugin Arlo

Pour échanger sur les plugins classés en catégorie "Sécurité"
Guillaume-
Timide
Messages : 27
Inscription : 30 avr. 2018, 00:01

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Guillaume- » 31 mai 2019, 21:11

Mips2648 a écrit :
31 mai 2019, 20:58
Non, mais tu es à nouveau le 2eme à le demander ;-)
\o/

Avatar de l’utilisateur
tigo
Timide
Messages : 26
Inscription : 05 juin 2016, 12:29

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par tigo » 01 juin 2019, 23:03

Bonjour,

Je n'arrive pas à lancer le daemon, la petite flèche verte n'apparait jamais.

Malgré avoir relancé l'installation des dépendances à plusieurs reprises, la Configuration du Démon affiche toujours NOK et le message "Dépendances non installées".

L'utilisateur Arlo dédié fonctionne car j'arrive à l'utiliser sur https://my.arlo.com

J'ai essayé avec les 2 versions: -----------------------
Stable 2019-05-30 09:22:14
Beta 2019-06-01 11:01:23

Voici ma config: ---------------------------------
PRETTY_NAME="Debian GNU/Linux 8 (jessie)"
NAME="Debian GNU/Linux"
VERSION_ID="8"
VERSION="8 (jessie)"
ID=debian
HOME_URL="http://www.debian.org/"
SUPPORT_URL="http://www.debian.org/support"
BUG_REPORT_URL="https://bugs.debian.org/"

[requests 2.4.3 (/usr/lib/python2.7/dist-packages)]

Et voici le log de de l'installation des dépendances: ------------------------------
*************************************
* Launch install of dependencies *
*************************************
samedi 1 juin 2019, 22:55:05 (UTC+0200)
Ign http://ftp.fr.debian.org jessie InRelease
Réception de : 1 http://ftp.fr.debian.org jessie-updates InRelease [7 340 B]
Atteint http://ftp.fr.debian.org jessie Release.gpg
Atteint http://ftp.fr.debian.org jessie Release
Atteint http://security.debian.org jessie/updates InRelease
Réception de : 2 http://security.debian.org jessie/updates/main Sources [318 kB]
Atteint https://deb.nodesource.com jessie InRelease
Réception de : 3 http://security.debian.org jessie/updates/non-free Sources [1 626 B]
Atteint http://ftp.fr.debian.org jessie/main Sources
Atteint http://ftp.fr.debian.org jessie/non-free Sources
Atteint http://ftp.fr.debian.org jessie/contrib Sources
Atteint http://ftp.fr.debian.org jessie/main amd64 Packages
Atteint http://ftp.fr.debian.org jessie/non-free amd64 Packages
Atteint http://ftp.fr.debian.org jessie/contrib amd64 Packages
Réception de : 4 https://deb.nodesource.com jessie/main Sources [764 B]
Atteint http://security.debian.org jessie/updates/contrib Sources
Atteint http://ftp.fr.debian.org jessie/contrib Translation-en
Atteint http://ftp.fr.debian.org jessie/main Translation-fr
Atteint http://ftp.fr.debian.org jessie/main Translation-en
Atteint http://ftp.fr.debian.org jessie/non-free Translation-en
Réception de : 5 https://deb.nodesource.com jessie/main amd64 Packages [964 B]
Réception de : 6 http://security.debian.org jessie/updates/main amd64 Packages [684 kB]
Réception de : 7 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 8 http://security.debian.org jessie/updates/non-free amd64 Packages [4 547 B]
Réception de : 9 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 10 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 11 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 12 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 13 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 14 http://security.debian.org jessie/updates/main Translation-en [345 kB]
Réception de : 15 http://security.debian.org jessie/updates/non-free Translation-en [11,8 kB]
Atteint http://security.debian.org jessie/updates/contrib amd64 Packages
Atteint http://security.debian.org jessie/updates/contrib Translation-en
Réception de : 16 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 17 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 18 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 19 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 20 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 21 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 22 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr_FR
Réception de : 23 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr
Réception de : 24 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
9 068 o réceptionnés en 4s (2 096 o/s)
W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/j ... /InRelease Impossible de trouver l'entrée « main/source/Sources » attendue dans le fichier « Release » : ligne non valable dans sources.list ou fichier corrompu
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
Install modules using apt-get...
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
python-pip est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
apcupsd-doc libuuid-perl
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 92 non mis à jour.
Install the required libraries...
Requirement already satisfied: monotonic>=1.5 in /usr/local/lib/python3.6/site-packages (1.5)
Requirement already satisfied: requests>=2.12.4 in /usr/local/lib/python3.6/site-packages (2.21.0)
Requirement already satisfied: sseclient==0.0.18 in /usr/local/lib/python3.6/site-packages (0.0.18)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (1.24.1)
Requirement already satisfied: idna<2.9,>=2.5 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (2.8)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (3.0.4)
Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (2018.11.29)
Requirement already satisfied: six in /usr/local/lib/python3.6/site-packages (from sseclient==0.0.18) (1.12.0)
samedi 1 juin 2019, 22:55:13 (UTC+0200)
***********************************************
* Everything successfully installed *
***********************************************

Mon installation Arlo: --------------------
Une base Arlo Pro 2 et 9 caméras

Merci d'avance pour l'aide!
Jeedom Mini+ / RFXCOM / quelques modules
memberlist.php?mode=viewprofile&u=5680

Guillaume-
Timide
Messages : 27
Inscription : 30 avr. 2018, 00:01

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Guillaume- » 01 juin 2019, 23:06

tigo a écrit :Bonjour,

Je n'arrive pas à lancer le daemon, la petite flèche verte n'apparait jamais.

Malgré avoir relancé l'installation des dépendances à plusieurs reprises, la Configuration du Démon affiche toujours NOK et le message "Dépendances non installées".

L'utilisateur Arlo dédié fonctionne car j'arrive à l'utiliser sur https://my.arlo.com

J'ai essayé avec les 2 versions: -----------------------
Stable 2019-05-30 09:22:14
Beta 2019-06-01 11:01:23

Voici ma config: ---------------------------------
PRETTY_NAME="Debian GNU/Linux 8 (jessie)"
NAME="Debian GNU/Linux"
VERSION_ID="8"
VERSION="8 (jessie)"
ID=debian
HOME_URL="http://www.debian.org/"
SUPPORT_URL="http://www.debian.org/support"
BUG_REPORT_URL="https://bugs.debian.org/"

[requests 2.4.3 (/usr/lib/python2.7/dist-packages)]

Et voici le log de de l'installation des dépendances: ------------------------------
*************************************
* Launch install of dependencies *
*************************************
samedi 1 juin 2019, 22:55:05 (UTC+0200)
Ign http://ftp.fr.debian.org jessie InRelease
Réception de : 1 http://ftp.fr.debian.org jessie-updates InRelease [7 340 B]
Atteint http://ftp.fr.debian.org jessie Release.gpg
Atteint http://ftp.fr.debian.org jessie Release
Atteint http://security.debian.org jessie/updates InRelease
Réception de : 2 http://security.debian.org jessie/updates/main Sources [318 kB]
Atteint https://deb.nodesource.com jessie InRelease
Réception de : 3 http://security.debian.org jessie/updates/non-free Sources [1 626 B]
Atteint http://ftp.fr.debian.org jessie/main Sources
Atteint http://ftp.fr.debian.org jessie/non-free Sources
Atteint http://ftp.fr.debian.org jessie/contrib Sources
Atteint http://ftp.fr.debian.org jessie/main amd64 Packages
Atteint http://ftp.fr.debian.org jessie/non-free amd64 Packages
Atteint http://ftp.fr.debian.org jessie/contrib amd64 Packages
Réception de : 4 https://deb.nodesource.com jessie/main Sources [764 B]
Atteint http://security.debian.org jessie/updates/contrib Sources
Atteint http://ftp.fr.debian.org jessie/contrib Translation-en
Atteint http://ftp.fr.debian.org jessie/main Translation-fr
Atteint http://ftp.fr.debian.org jessie/main Translation-en
Atteint http://ftp.fr.debian.org jessie/non-free Translation-en
Réception de : 5 https://deb.nodesource.com jessie/main amd64 Packages [964 B]
Réception de : 6 http://security.debian.org jessie/updates/main amd64 Packages [684 kB]
Réception de : 7 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 8 http://security.debian.org jessie/updates/non-free amd64 Packages [4 547 B]
Réception de : 9 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 10 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 11 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 12 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 13 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 14 http://security.debian.org jessie/updates/main Translation-en [345 kB]
Réception de : 15 http://security.debian.org jessie/updates/non-free Translation-en [11,8 kB]
Atteint http://security.debian.org jessie/updates/contrib amd64 Packages
Atteint http://security.debian.org jessie/updates/contrib Translation-en
Réception de : 16 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 17 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 18 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 19 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 20 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 21 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 22 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr_FR
Réception de : 23 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr
Réception de : 24 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
9 068 o réceptionnés en 4s (2 096 o/s)
W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/j ... /InRelease Impossible de trouver l'entrée « main/source/Sources » attendue dans le fichier « Release » : ligne non valable dans sources.list ou fichier corrompu
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
Install modules using apt-get...
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
python-pip est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
apcupsd-doc libuuid-perl
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 92 non mis à jour.
Install the required libraries...
Requirement already satisfied: monotonic>=1.5 in /usr/local/lib/python3.6/site-packages (1.5)
Requirement already satisfied: requests>=2.12.4 in /usr/local/lib/python3.6/site-packages (2.21.0)
Requirement already satisfied: sseclient==0.0.18 in /usr/local/lib/python3.6/site-packages (0.0.18)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (1.24.1)
Requirement already satisfied: idna<2.9,>=2.5 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (2.8)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (3.0.4)
Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (2018.11.29)
Requirement already satisfied: six in /usr/local/lib/python3.6/site-packages (from sseclient==0.0.18) (1.12.0)
samedi 1 juin 2019, 22:55:13 (UTC+0200)
***********************************************
* Everything successfully installed *
***********************************************

Mon installation Arlo: --------------------
Une base Arlo Pro 2 et 9 caméras

Merci d'avance pour l'aide!
9 caméras !

Envoyé de mon ONEPLUS A6003 en utilisant Tapatalk


Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 01 juin 2019, 23:08

Bonsoir,
Peux-tu m'envoyer le log arlo_daemon en mp stp ?
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 02 juin 2019, 08:30

Je relis ton message, tu parles d'une "flèche verte".
Celle pour lancer le démon ?
Parce que normalement cette flèche est toujours affichée (ce n'est même pas le plug-in qui la contrôle)
C'est seulement le status qui passe de "OK" en vert à "nok" en rouge et vice versa.
Quelle version de jeedom as-tu ?

Edit: j'ai revérifié. donc si la flèche verte pour lancer le démon ne s'affiche pas, c'est que tu n'as pas entrer de nom d'utilisateur ou de mot de passe.
Et il faut entrer le user/password, puis sauver la config et la flèche sera affichée. (c'est un comportement par défaut de Jeedom).
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Avatar de l’utilisateur
tigo
Timide
Messages : 26
Inscription : 05 juin 2016, 12:29

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par tigo » 02 juin 2019, 16:07

SOLVED!

Avec l'aide de Mips2648 j'ai pu identifier que le problème était du au fonctionnement en parallèle de Python 2.7 et Python 3.6.7 sur mon installation Jeedom.

Ceci est nécessaire si vous utilisez des extensions comme Harmony ou Zigate.

Dans mon cas pip et pip3 étaient tous les deux liés à python 3.6.7

pip --version
pip 19.1.1 from /usr/local/lib/python3.6/site-packages/pip (python 3.6)

pip3 --version
pip 19.1.1 from /usr/local/lib/python3.6/site-packages/pip (python 3.6)

Il a donc fallu que je force l'installation de librairies python manquantes pour l'extension Arlo.

Il me manquait sseclient et monotonic que j'ai pu installer avec ces commandes

python -m pip install sseclient
python -m pip install monotonic





tigo a écrit :
01 juin 2019, 23:03
Bonjour,

Je n'arrive pas à lancer le daemon, la petite flèche verte n'apparait jamais.

Malgré avoir relancé l'installation des dépendances à plusieurs reprises, la Configuration du Démon affiche toujours NOK et le message "Dépendances non installées".

L'utilisateur Arlo dédié fonctionne car j'arrive à l'utiliser sur https://my.arlo.com

J'ai essayé avec les 2 versions: -----------------------
Stable 2019-05-30 09:22:14
Beta 2019-06-01 11:01:23

Voici ma config: ---------------------------------
PRETTY_NAME="Debian GNU/Linux 8 (jessie)"
NAME="Debian GNU/Linux"
VERSION_ID="8"
VERSION="8 (jessie)"
ID=debian
HOME_URL="http://www.debian.org/"
SUPPORT_URL="http://www.debian.org/support"
BUG_REPORT_URL="https://bugs.debian.org/"

[requests 2.4.3 (/usr/lib/python2.7/dist-packages)]

Et voici le log de de l'installation des dépendances: ------------------------------
*************************************
* Launch install of dependencies *
*************************************
samedi 1 juin 2019, 22:55:05 (UTC+0200)
Ign http://ftp.fr.debian.org jessie InRelease
Réception de : 1 http://ftp.fr.debian.org jessie-updates InRelease [7 340 B]
Atteint http://ftp.fr.debian.org jessie Release.gpg
Atteint http://ftp.fr.debian.org jessie Release
Atteint http://security.debian.org jessie/updates InRelease
Réception de : 2 http://security.debian.org jessie/updates/main Sources [318 kB]
Atteint https://deb.nodesource.com jessie InRelease
Réception de : 3 http://security.debian.org jessie/updates/non-free Sources [1 626 B]
Atteint http://ftp.fr.debian.org jessie/main Sources
Atteint http://ftp.fr.debian.org jessie/non-free Sources
Atteint http://ftp.fr.debian.org jessie/contrib Sources
Atteint http://ftp.fr.debian.org jessie/main amd64 Packages
Atteint http://ftp.fr.debian.org jessie/non-free amd64 Packages
Atteint http://ftp.fr.debian.org jessie/contrib amd64 Packages
Réception de : 4 https://deb.nodesource.com jessie/main Sources [764 B]
Atteint http://security.debian.org jessie/updates/contrib Sources
Atteint http://ftp.fr.debian.org jessie/contrib Translation-en
Atteint http://ftp.fr.debian.org jessie/main Translation-fr
Atteint http://ftp.fr.debian.org jessie/main Translation-en
Atteint http://ftp.fr.debian.org jessie/non-free Translation-en
Réception de : 5 https://deb.nodesource.com jessie/main amd64 Packages [964 B]
Réception de : 6 http://security.debian.org jessie/updates/main amd64 Packages [684 kB]
Réception de : 7 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 8 http://security.debian.org jessie/updates/non-free amd64 Packages [4 547 B]
Réception de : 9 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 10 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 11 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 12 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 13 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 14 http://security.debian.org jessie/updates/main Translation-en [345 kB]
Réception de : 15 http://security.debian.org jessie/updates/non-free Translation-en [11,8 kB]
Atteint http://security.debian.org jessie/updates/contrib amd64 Packages
Atteint http://security.debian.org jessie/updates/contrib Translation-en
Réception de : 16 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 17 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 18 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 19 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Réception de : 20 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Réception de : 21 https://deb.nodesource.com jessie/main Translation-en [162 B]
Réception de : 22 https://deb.nodesource.com jessie/main Translation-fr_FR [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr_FR
Réception de : 23 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr
Réception de : 24 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
9 068 o réceptionnés en 4s (2 096 o/s)
W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/j ... /InRelease Impossible de trouver l'entrée « main/source/Sources » attendue dans le fichier « Release » : ligne non valable dans sources.list ou fichier corrompu
E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
Install modules using apt-get...
Lecture des listes de paquets…
Construction de l'arbre des dépendances…
Lecture des informations d'état…
python-pip est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
apcupsd-doc libuuid-perl
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 92 non mis à jour.
Install the required libraries...
Requirement already satisfied: monotonic>=1.5 in /usr/local/lib/python3.6/site-packages (1.5)
Requirement already satisfied: requests>=2.12.4 in /usr/local/lib/python3.6/site-packages (2.21.0)
Requirement already satisfied: sseclient==0.0.18 in /usr/local/lib/python3.6/site-packages (0.0.18)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (1.24.1)
Requirement already satisfied: idna<2.9,>=2.5 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (2.8)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (3.0.4)
Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python3.6/site-packages (from requests>=2.12.4) (2018.11.29)
Requirement already satisfied: six in /usr/local/lib/python3.6/site-packages (from sseclient==0.0.18) (1.12.0)
samedi 1 juin 2019, 22:55:13 (UTC+0200)
***********************************************
* Everything successfully installed *
***********************************************

Mon installation Arlo: --------------------
Une base Arlo Pro 2 et 9 caméras

Merci d'avance pour l'aide!
Jeedom Mini+ / RFXCOM / quelques modules
memberlist.php?mode=viewprofile&u=5680

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 02 juin 2019, 16:19

Merci pour le retour.
Je vais mettre à jour le script d'installation des dépendances pour tenter que ce problème n'arrive plus chez d'autres.

Par contre j'ai le plug-in harmony sur mon install et pas de problème.
Donc cela viendrait-il de zygate ?
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Avatar de l’utilisateur
tigo
Timide
Messages : 26
Inscription : 05 juin 2016, 12:29

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par tigo » 02 juin 2019, 16:36

Pour Harmony il fallait bidouiller avant que Logitech ne décide de faire machine arrière et permettre de réactiver le XMPP
Dans le forum on parlait de passer a Strech ou upgrader python
viewtopic.php?f=142&t=7512&hilit=harmon ... 00#p716216

Par contre pour Zigate il faut bien python3 et j'ai trouvé des infos ici
https://github.com/Jeedom-Zigate/jeedom ... /issues/65

Cela dit je ne suis pas sorti de l'auberge avec l'extension Arlo, le daemon crash au bout de quelques minutes avec l'erreur
2019-06-02 16:35:14][ERROR] : [Heartbeat] Fatal error: unsupported operand type(s) for -: 'datetime.datetime' and 'int'
Jeedom Mini+ / RFXCOM / quelques modules
memberlist.php?mode=viewprofile&u=5680

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 02 juin 2019, 16:41

Tu es toujours sur la bêta avec les tests que tu as fait ?
Si oui, repasse en stable
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Avatar de l’utilisateur
tigo
Timide
Messages : 26
Inscription : 05 juin 2016, 12:29

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par tigo » 02 juin 2019, 16:47

Je suis bien sur la dernière stable du 2019-05-30 09:22:14

A chaque relance du daemon, il crash environ en moins d'une minute.

[2019-06-02 16:39:28][ERROR] : [Heartbeat] Fatal error: unsupported operand type(s) for -: 'datetime.datetime' and 'int'
[2019-06-02 16:40:14][ERROR] : [Heartbeat] Fatal error: unsupported operand type(s) for -: 'datetime.datetime' and 'int'
[2019-06-02 16:41:09][ERROR] : [Heartbeat] Fatal error: unsupported operand type(s) for -: 'datetime.datetime' and 'int'
[2019-06-02 16:44:02][ERROR] : [Heartbeat] Fatal error: unsupported operand type(s) for -: 'datetime.datetime' and 'int'
Jeedom Mini+ / RFXCOM / quelques modules
memberlist.php?mode=viewprofile&u=5680

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 02 juin 2019, 18:15

Hum, pour faire court: c'est effectivement un bug que j'avais corrigé dans la prochaine beta mais si tous les accès à arlo sont ok en principe il ne se produisait pas.
du coup j'ai poussé ce fix dans la stable "2019-06-02 18:06:05" au cas où mais je suspecte qu'il y a autre chose chez toi.
Peux-tu passer le log level en debug, relancer le démon et m'envoyer le log jsq crash en mp? (sauf si la nouvelle version stable résout le problème)
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Avatar de l’utilisateur
tigo
Timide
Messages : 26
Inscription : 05 juin 2016, 12:29

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par tigo » 02 juin 2019, 21:57

SOLVED!

Grâce à un SAV super réactif de Mips2648, je peux maintenant me compter parmi les utilisateurs satisfaits de cette extension.

Mon problème était une installation de python2.7 et python 3.6.7 en parallèle.
J'ai du réinstaller pip pour python2.7 et les librairies nécessaires à l'extension Arlo dans les bonnes versions.

Pour ceux que ça peut aider, j'ai fait ceci:

sudo apt-get purge python-requests
sudo easy_install -U pip
sudo python -m pip install "monotonic>=1.5" "requests>=2.12.4" "sseclient==0.0.18"
Jeedom Mini+ / RFXCOM / quelques modules
memberlist.php?mode=viewprofile&u=5680

vvortexx
Timide
Messages : 39
Inscription : 01 avr. 2018, 21:44

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par vvortexx » 03 juin 2019, 10:11

Accessoirement, comment passer de beta à stable sans désinstaller (et donc refaire toute la config Dashboard par exemple.) ?
Merci

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 03 juin 2019, 10:13

Salut,
Il suffit d'aller dans le market, rechercher le plugin et cliquer sur "installer stable"
il va réinstaller par dessus en gardant tes équipements intactes.
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

vvortexx
Timide
Messages : 39
Inscription : 01 avr. 2018, 21:44

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par vvortexx » 03 juin 2019, 10:20

C'est ce que je pensais mais j'obtiens:
"L'installation des plugins/widgets/scripts se fait directement depuis votre box, voir ici"
et depuis le Rasp. je n'ai que la beta:
UPDATE market / plugin : arlo beta

vvortexx
Timide
Messages : 39
Inscription : 01 avr. 2018, 21:44

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par vvortexx » 03 juin 2019, 10:25

oups j'ai trouvé, dans le market du rasp c'est possible, mais pas dans le market en ligne. (comme c'est indiqué d'ailleurs. )
désolé

Avatar de l’utilisateur
killic41
Timide
Messages : 59
Inscription : 15 févr. 2016, 18:21
Contact :

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par killic41 » 03 juin 2019, 16:02

Bonjour à tous et un grand merci au développeur pour se plugin vraiment top!!!
Par contre je comprend pas pourquoi je n'arrive pas à récupérer toutes mes cams :? ...
Pourtant tout semble bon...

Merci pour votre aide ;-)
Capture d’écran 2019-06-03 à 15.55.48.png
Capture d’écran 2019-06-03 à 15.55.48.png (106.01 Kio) Consulté 176 fois
Capture d’écran 2019-06-03 à 15.56.22.png
Capture d’écran 2019-06-03 à 15.56.22.png (192.59 Kio) Consulté 176 fois
Capture d’écran 2019-06-03 à 15.56.03.png
Capture d’écran 2019-06-03 à 15.56.03.png (337.05 Kio) Consulté 176 fois
Jeedom Smart
HummingBoard i2eX
SSD mSATA 30 Go
RFXtrx433E USB

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 03 juin 2019, 16:54

Bonjour,

merci pour le retour.

Peux-tu:
- passer le log level en debug,
- redémarrer le démon,
- après 1 ou 2 min. (le temps que la synchro se fasse) m'envoyer les logs "arlo" et "arlo_daemon" (à renommer en .txt) en mp.

Merci
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Avatar de l’utilisateur
killic41
Timide
Messages : 59
Inscription : 15 févr. 2016, 18:21
Contact :

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par killic41 » 03 juin 2019, 16:56

Mips2648 a écrit :
03 juin 2019, 16:54
Bonjour,

merci pour le retour.

Peux-tu:
- passer le log level en debug,
- redémarrer le démon,
- après 1 ou 2 min. (le temps que la synchro se fasse) m'envoyer les logs "arlo" et "arlo_daemon" (à renommer en .txt) en mp.

Merci
D'accord je te fais ca ;)
Mon log level est déjà en debug? regarde ma capture
Jeedom Smart
HummingBoard i2eX
SSD mSATA 30 Go
RFXtrx433E USB

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Plugin Tiers][Sujet Principal] Plugin Arlo

Message par Mips2648 » 03 juin 2019, 17:23

Ok, je vois le problème (du à un mix entre des caméras arloQ et pro avec base).
J'ai poussé un fix rapide mais qui impose de supprimer les équipements Arlo Q existant, désolé pour ça mais je suppose que tu n'avais pas encore commencé à les intégrer.
Donc il faudrait que tu supprimes ton arloQ_veranda, mettes à jour (clique sur "vérifier les mises à jour") et quand le démon sera démarré, tous les équipements devraient être créés à présent.
Si le démon avait déjà démarré ou si la ArloQ n'avait pas été supprimée ou recréée avant la mise à jour, pas grave, tu peux la supprimer et refaire une synchro manuelle.
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Répondre

Revenir vers « [Catégorie] Sécurité »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 13 invités